// Copyright (c) 2015, Mikhail Stolyarov. All rights reserved. Use of this source code
// is governed by a BSD-style license that can be found in the LICENSE file.

library do2template.base;

import 'dart:html';

class Do2Template {

  final Element html;

  final String _html;

  static final NodeValidatorBuilder nodeValidator = new NodeValidatorBuilder.common();

  Do2Template clone(){
    return new Do2Template(_html);
  }

  Do2Template(String template) : html = new Element.html(template, validator: nodeValidator), _html = template;

}
